❖ MatchMove Banking API Specifications

Sections

Theme switcher

Get Transactions

Header Parameters

X-Auth-User-IDstring Required

The matchmove issued user_id for which the request is being made

X-Auth-User-IPstring

The IP using which the actor is making the request

X-Auth-Device-IDstring

The unique id of the device using which the actor is making the request

X-Auth-User-Agentstring

The user agent of the device using which the actor is making the request

X-Auth-Actorstring Required

The actor on behalf of whom the API request is being performed

Path Parameters

program_codestring Required

Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.

idstring Required

Unique identifier of the remittance transaction. Returned in the id field from POST /{program_code}/v2/users/wallets/payouts/remittances/transactions. This identifier is valid for both user-scoped (/v2/users/...) and admin-scoped (/v2/oauth/...) paths.

Response

200
Object

OK

Response Attributes

idstring

Represents the transaction id.

statusstring

Status of transaction.

Default value
INITIATED
Enum values:
INITIATEDPROCESSINGSUBMITTEDPENDINGSUCCESSREJECTEDCANCELLEDFAILEDUNDER_REVIEWREVERSED
... 1 other enums
sub_statusstring

Transaction Sub Status

Enum values:
USER_STATUS_ACTIVEUSER_STATUS_INACTIVEUSER_STATUS_CHECK_FAILEDRECIPIENT_RISK_PENDINGRECIPIENT_RISK_REJECTEDRECIPIENT_RISK_CHECK_COMPLETEFUNDS_DEBIT_SUCCESSFUNDS_DEBIT_FAILEDFUNDS_REVERSEDTRANSACTION_INITIATED
... 13 other enums
messagestring

Displays the message of a transaction.

Default value
Request Received, Processing Started
sourcestring

Contains service provider validation source after submission in JSON. This field can be empty and may be omitted if no validation errors provided for a transaction.

userobject

Represents the user object who has initiated a remittance transaction

recipientobject

Represents the user object.

quoteobject

Represents the fee details applied on transaction. These values are referred from quotes.

charged_amountobject

Represents the amount charged to user.

converted_amountobject

Represents the amount which is sent to beneficiary after fee deduction.

recipient_amountobject

Represents the amount the recipient would receive.

receiving_institutionobject

Object represents receiving institution of recipient to which remittance has been performed.

additional_dataobject

Additional data required to initiate transaction.

tosobject

Terms of Service Acceptance

created_bystring

User id of transaction initiator.

Pattern
^[a-zA-Z0-9]*
created_atstring

Date and time of transaction initiation.

expected_deliverystring

Expected date and time of transaction get success.

updated_atstring

Date and time of the latest update on transaction.

remarksstring

Represents the remittance remarks entered by user while initiating a remittance.

201
Object

Created

Response Attributes

idstring

Represents the transaction id.

statusstring

Status of transaction.

Default value
INITIATED
Enum values:
INITIATEDPROCESSINGSUBMITTEDPENDINGSUCCESSREJECTEDCANCELLEDFAILEDUNDER_REVIEWREVERSED
... 1 other enums
sub_statusstring

Transaction Sub Status

Enum values:
USER_STATUS_ACTIVEUSER_STATUS_INACTIVEUSER_STATUS_CHECK_FAILEDRECIPIENT_RISK_PENDINGRECIPIENT_RISK_REJECTEDRECIPIENT_RISK_CHECK_COMPLETEFUNDS_DEBIT_SUCCESSFUNDS_DEBIT_FAILEDFUNDS_REVERSEDTRANSACTION_INITIATED
... 13 other enums
messagestring

Displays the message of a transaction.

Default value
Request Received, Processing Started
sourcestring

Contains service provider validation source after submission in JSON. This field can be empty and may be omitted if no validation errors provided for a transaction.

userobject

Represents the user object who has initiated a remittance transaction

recipientobject

Represents the user object.

quoteobject

Represents the fee details applied on transaction. These values are referred from quotes.

charged_amountobject

Represents the amount charged to user.

converted_amountobject

Represents the amount which is sent to beneficiary after fee deduction.

recipient_amountobject

Represents the amount the recipient would receive.

receiving_institutionobject

Object represents receiving institution of recipient to which remittance has been performed.

additional_dataobject

Additional data required to initiate transaction.

tosobject

Terms of Service Acceptance

created_bystring

User id of transaction initiator.

Pattern
^[a-zA-Z0-9]*
created_atstring

Date and time of transaction initiation.

expected_deliverystring

Expected date and time of transaction get success.

updated_atstring

Date and time of the latest update on transaction.

remarksstring

Represents the remittance remarks entered by user while initiating a remittance.

400
Object

Bad Request

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

401
Object

Unauthorized

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

403
Object

Forbidden

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

404
Object

Not Found

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

500
Object

Internal Server Error

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

502
Object

Bad Gateway

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

503
Object

Service Unavailable

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

504
Object

Gateway Timeout

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

Was this section helpful?

GET

/

Select
1

Response

Was this section helpful?